Summary: 	KGesture is a gesture recognition application
Name:   	kgesture
Version: 	0.3
Release: 	6mdk
URL:		http://www.slac.com/~mpilone/projects/
Source0: 	%{name}-%{version}.tar.bz2
Source1:	kgesture-48.png.bz2
License:  	GPL
Group: 		Graphical desktop/KDE
BuildRoot: 	%_tmppath/%name-%version-%release-root
BuildRequires:  kdelibs-devel libpng3-devel libjpeg-devel 


%description
KGesture is a gesture recognition application for KDE2. KGesture uses libstroke
to recognize definable gestures, then run an associated command. Using KDE's 
DCOP interface, KGesture can interact with applications already running, or 
launch new applications.

%prep

%setup  -q

%build
CFLAGS="%optflags" CXXFLAGS="%optflags" \
        ./configure --prefix=%_prefix \
	            --disable-rpath \
		    --with-qt-dir=/usr/lib/qt2\
		    --disable-rpath \
		    --disable-debug \
	            --enable-final
%make

%install
%makeinstall_std



install -d %buildroot/%_menudir

cat > %buildroot/%_menudir/%{name} <<EOF
?package(%{name}):\
command="%_bindir/kgesture -caption %c %i %m"\
title="Kgesture"\
icon="kgesture.png"\
longtitle="KGesture is a gesture recognition application"\
needs="kde"\
section="Applications/Accessibility"
EOF
%find_lang %{name} 
# fix icons, just for rpmlint
cd %buildroot
mkdir -p ./%_liconsdir ./%_miconsdir ./%_iconsdir
ln ./%_datadir/icons/locolor/32x32/apps/kgesture.png ./%_iconsdir
ln ./%_datadir/icons/locolor/16x16/apps/kgesture.png ./%_miconsdir
bzcat %SOURCE1 > ./%_liconsdir/kgesture.png

%clean
rm -fr %buildroot

%post
/sbin/ldconfig
%{update_menus}
 
%postun
/sbin/ldconfig
%{clean_menus} 

%files -f %name.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog COPYING kgesture.lsm
#
%dir %_docdir/HTML/en/kgesture/
%doc %_docdir/HTML/en/kgesture/*.docbook
%doc %_docdir/HTML/en/kgesture/common
#

%_bindir/*
#
#
#
%dir %_datadir/applnk/
%dir %_datadir/applnk/Utilities/
%_datadir/applnk/Utilities/*
#
#
#
%dir %_iconsdir/locolor/
%dir %_iconsdir/locolor/16x16/
%dir %_iconsdir/locolor/16x16/apps/
%_iconsdir/locolor/16x16/apps/*.png
#
%dir %_iconsdir/locolor/22x22/
%dir %_iconsdir/locolor/22x22/apps/
%_iconsdir/locolor/22x22/apps/*.png
#
%dir %_iconsdir/locolor/32x32/
%dir %_iconsdir/locolor/32x32/apps/
%_iconsdir/locolor/32x32/apps/*.png
%_iconsdir/kgesture.png
%_liconsdir/kgesture.png
%_miconsdir/kgesture.png
#
#
%_menudir/*  


%changelog
* Mon Dec  3 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.3-6mdk
- add URL
- fix summary/menu long title
- add missing %%make
- added documentation
- removed obsolete BuildRequires
- remove Requires for libstroke0, not used anymore
- fixed menu/icon

* Sat Oct 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3-5mdk
- Rebuild against libpng3

* Wed Sep 12 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3-4mdk
- Fix icon

* Thu Sep 06 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3-3mdk
- Rebuild 

* Sat Jun 16 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3-2mdk
- fix menu entry

* Tue Jun 03 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3-1mdk
- updated code (0.3)

* Mon May 28 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2-2mdk
- Fix description

* Fri May 25 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2-1mdk
- initial package

